%{?nodejs_find_provides_and_requires}

Name:           nodejs-es-abstract
Version:        1.5.1
Release:        5%{?dist}
Summary:        ECMAScript spec abstract operations

License:        MIT
URL:            https://github.com/ljharb/es-abstract
Source0:        https://registry.npmjs.org/es-abstract/-/es-abstract-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(es-to-primitive)
BuildRequires:  npm(foreach)
BuildRequires:  npm(function-bind)
BuildRequires:  npm(is-callable)
BuildRequires:  npm(is-regex)
BuildRequires:  npm(object-is)
BuildRequires:  npm(tape)


%description
ECMAScript spec abstract operations. When different versions of the
spec conflict, the default export will be the latest version of the
abstract operation. All abstract operations will also be available
under an es5/es6/es7 exported property if you require a specific version.


%prep
%autosetup -p 1 -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/es-abstract
cp -pr package.json *.js helpers %{buildroot}%{nodejs_sitelib}/es-abstract
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/es-abstract


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun  1 2016 Tom Hughes <tom@compton.nu> - 1.5.1-1
- Update to 1.5.1 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan  5 2016 Tom Hughes <tom@compton.nu> - 1.5.0-2
- Patch tests for changes in es-to-primitive@1.1.1

* Mon Dec 28 2015 Tom Hughes <tom@compton.nu> - 1.5.0-1
- Update to 1.5.0 upstream release

* Sun Nov 29 2015 Tom Hughes <tom@compton.nu> - 1.4.3-1
- Update to 1.4.3 upstream release
- Install helpers directory

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.4.0-1
- Initial build of 1.4.0
